#
# spec file for package python-metaextract
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-metaextract
Version:        1.0.3
Release:        lp151.2.2
Summary:        get metadata for python modules
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://github.com/toabctl/metaextract
Source:         https://files.pythonhosted.org/packages/source/m/metaextract/metaextract-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Needed even though no tests are present
BuildRequires:  %{python_module pytest-runner}
Requires:       python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(preun):  update-alternatives
%python_subpackages

%description
metaextract is a tool to collect metadata about a python module. For example
you may have a sdist tarball from the `Python Package Index`_ and you want to
know it's dependencies. metaextract can collect theses dependencies.
The tool was first developed in `py2pack`_ but is now it's own module to be
useful for others, too.

%prep
%setup -q -n metaextract-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{python_sitelib}

%python_clone -a %{buildroot}%{_bindir}/metaextract

%post
%python_install_alternative metaextract

%preun
%python_uninstall_alternative metaextract

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%python_alternative %{_bindir}/metaextract
%{python_sitelib}/*

%changelog
* Mon Sep 18 2017 tbechtold@suse.com
- update to 1.0.3:
  * Release 1.0.3
  * Test python 3.6 instead of 3.5
  * Fix json serialization for dict_items on py3 (#4)
* Thu Apr 27 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Mon Apr 24 2017 tbechtold@suse.com
  update to version 1.0.2
  * Fix entrypoint typo 'metaextact'
* Tue Feb 28 2017 tbechtold@suse.com
  update to version 1.0.0
  * Allow to specify the used python interpreter
  * Fix utils import in python3 case
  * Post release version bump to 1.0.0
* Tue Feb 28 2017 tbechtold@suse.com
  update to version 0.0.9
  * Improve tests with extras_require
  * Fix documentation link in README
  * Post release version bump to 0.0.9
  * Support "python_requires"
  * Use same version for doc and sdist
  * Add doc badge to README
  * Use already used python interpreter
  * Post release version bump to 0.0.8
  * Use Sphinx to build documentation
* Mon Aug 29 2016 tbechtold@suse.com
  update to version 0.0.7
  * Sort some of the data keys
  * Post release version bump to 0.0.7
  * Sort json dump by key
* Sun Aug 28 2016 tbechtold@suse.com
- Initial packaging (version 0.0.6)
